contrib/scripts/install_prereq: Don't install 32-bit packages on 64-bit hosts
[asterisk/asterisk.git] / contrib / scripts / install_prereq
index 80345ed..ca02b75 100755 (executable)
@@ -71,7 +71,8 @@ check_installed_debs() {
                tocheck="${tocheck} ^${pack}$"
        done
        aptitude -F '%c %p' search ${tocheck} 2>/dev/null \
-       | awk '/^p/{print $2}'
+               | awk '/^p/{print $2}' \
+               | grep -v ':i386$'
 }
 
 # parsing the output of yum is close to impossible.